Module javafx.graphics
Package javafx.scene.shape

## Class HLineTo

- java.lang.Object
- - javafx.scene.shape.PathElement
  - - javafx.scene.shape.HLineTo

-     public class HLineTo
      extends PathElement

  Creates a horizontal line path element from the current point to x.

  For more information on path elements see the `Path` and `PathElement` classes.

  Example:

      import javafx.scene.shape.*;

      Path path = new Path();
      path.getElements().add(new MoveTo(0.0f, 0.0f));
      path.getElements().add(new HLineTo(80.0f));

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `x` | Defines the X coordinate.

    - ### Properties inherited from class javafx.scene.shape.PathElement

      `absolute`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HLineTo()` | Creates an empty instance of HLineTo.
    `HLineTo​(double x)` | Creates an instance of HLineTo.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getX()` | Gets the value of the property x.
    `void` | `setX​(double value)` | Sets the value of the property x.
    `String` | `toString()` | Returns a string representation of this `HLineTo` object.
    `DoubleProperty` | `xProperty()` | Defines the X coordinate.

    - ### Methods inherited from class javafx.scene.shape.PathElement

      `absoluteProperty, isAbsolute, setAbsolute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### x

          public final DoubleProperty xProperty

      Defines the X coordinate.
      Default value:
        0.0
      See Also:
        `getX()`, `setX(double)`

  - ### Constructor Detail

    - #### HLineTo

          public HLineTo()

      Creates an empty instance of HLineTo.

    - #### HLineTo

          public HLineTo​(double x)

      Creates an instance of HLineTo.
      Parameters:
        `x` - the horizontal coordinate to line to

  - ### Method Detail

    - #### setX

          public final void setX​(double value)

      Sets the value of the property x.
      Property description:
        Defines the X coordinate.
      Default value:
        0.0

    - #### getX

          public final double getX()

      Gets the value of the property x.
      Property description:
        Defines the X coordinate.
      Default value:
        0.0

    - #### xProperty

          public final DoubleProperty xProperty()

      Defines the X coordinate.
      Default value:
        0.0
      See Also:
        `getX()`, `setX(double)`

    - #### toString

          public String toString()

      Returns a string representation of this `HLineTo` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `HLineTo` object.